;***********************************************
;**                                           **
;**          Peripheral Control Block         **
;**             Include File for              **
;**               I/O Mapping                 **
;**                                           **
;***********************************************



PCB_IO_BASE	EQU	0FF00H		; initial base address


;Regsiter		Address

MPICP0          EQU     PCB_IO_BASE + 0000H
MPICP1          EQU     PCB_IO_BASE + 0002H
SPICP0          EQU     PCB_IO_BASE + 0004H
SPICP1          EQU     PCB_IO_BASE + 0006H

SCUIRL          EQU     PCB_IO_BASE + 000AH
DMAIRL          EQU     PCB_IO_BASE + 000CH
TIMIRL          EQU     PCB_IO_BASE + 000EH

WDTRLDH         EQU     PCB_IO_BASE + 0020H
WDTRLDL         EQU     PCB_IO_BASE + 0022H
WDTCNTH         EQU     PCB_IO_BASE + 0024H
WDTCNTL         EQU     PCB_IO_BASE + 0026H
WDTCLR          EQU     PCB_IO_BASE + 0028H
WDTDIS          EQU     PCB_IO_BASE + 002AH

T0CNT		EQU	PCB_IO_BASE + 0030H
T0CMPA		EQU	PCB_IO_BASE + 0032H
T0CMPB		EQU	PCB_IO_BASE + 0034H
T0CON		EQU	PCB_IO_BASE + 0036H
T1CNT		EQU	PCB_IO_BASE + 0038H
T1CMPA		EQU	PCB_IO_BASE + 003AH
T1CMPB		EQU	PCB_IO_BASE + 003CH
T1CON		EQU	PCB_IO_BASE + 003EH
T2CNT		EQU	PCB_IO_BASE + 0040H
T2CMPA		EQU	PCB_IO_BASE + 0042H
RESERVED_T2	EQU	PCB_IO_BASE + 0044H
T2CON		EQU	PCB_IO_BASE + 0046H

P3DIR		EQU	PCB_IO_BASE + 0048H
P3PIN		EQU	PCB_IO_BASE + 004AH
P3CON		EQU	PCB_IO_BASE + 004CH
P3LTCH		EQU	PCB_IO_BASE + 004EH

P1DIR		EQU	PCB_IO_BASE + 0050H
P1PIN		EQU	PCB_IO_BASE + 0052H
P1CON		EQU	PCB_IO_BASE + 0054H
P1LTCH		EQU	PCB_IO_BASE + 0056H

P2DIR		EQU	PCB_IO_BASE + 0058H
P2PIN		EQU	PCB_IO_BASE + 005AH
P2CON		EQU	PCB_IO_BASE + 005CH
P2LTCH		EQU	PCB_IO_BASE + 005EH

B0CMP		EQU	PCB_IO_BASE + 0060H
B0CNT		EQU	PCB_IO_BASE + 0062H
S0CON		EQU	PCB_IO_BASE + 0064H
S0STS		EQU	PCB_IO_BASE + 0066H
S0RBUF		EQU	PCB_IO_BASE + 0068H
S0TBUF		EQU	PCB_IO_BASE + 006AH

B1CMP		EQU	PCB_IO_BASE + 0070H
B1CNT		EQU	PCB_IO_BASE + 0072H
S1CON		EQU	PCB_IO_BASE + 0074H
S1STS		EQU	PCB_IO_BASE + 0076H
S1RBUF		EQU	PCB_IO_BASE + 0078H
S1TBUF		EQU	PCB_IO_BASE + 007AH

GCS0ST		EQU	PCB_IO_BASE + 0080H
GCS0SP		EQU	PCB_IO_BASE + 0082H
GCS1ST		EQU	PCB_IO_BASE + 0084H
GCS1SP		EQU	PCB_IO_BASE + 0086H
GCS2ST		EQU	PCB_IO_BASE + 0088H
GCS2SP		EQU	PCB_IO_BASE + 008AH
GCS3ST		EQU	PCB_IO_BASE + 008CH
GCS3SP		EQU	PCB_IO_BASE + 008EH
GCS4ST		EQU	PCB_IO_BASE + 0090H
GCS4SP		EQU	PCB_IO_BASE + 0092H
GCS5ST		EQU	PCB_IO_BASE + 0094H
GCS5SP		EQU	PCB_IO_BASE + 0096H
GCS6ST		EQU	PCB_IO_BASE + 0098H
GCS6SP		EQU	PCB_IO_BASE + 009AH
GCS7ST		EQU	PCB_IO_BASE + 009CH
GCS7SP		EQU	PCB_IO_BASE + 009EH
LCSST		EQU	PCB_IO_BASE + 00A0H
LCSSP		EQU	PCB_IO_BASE + 00A2H
UCSST		EQU	PCB_IO_BASE + 00A4H
UCSSP		EQU	PCB_IO_BASE + 00A6H

RELREG		EQU	PCB_IO_BASE + 00A8H

RFBASE		EQU	PCB_IO_BASE + 00B0H
RFTIME		EQU	PCB_IO_BASE + 00B2H
RFCON		EQU	PCB_IO_BASE + 00B4H
RFADDR		EQU	PCB_IO_BASE + 00B6H

PWRCON		EQU	PCB_IO_BASE + 00B8H

STEP_ID		EQU	PCB_IO_BASE + 00BCH

D0SRCL          EQU     PCB_IO_BASE + 00C0H
D0SRCH          EQU     PCB_IO_BASE + 00C2H
D0DSTL          EQU     PCB_IO_BASE + 00C4H
D0DSTH          EQU     PCB_IO_BASE + 00C6H
D0TC           EQU     PCB_IO_BASE + 00C8H
D0CON           EQU     PCB_IO_BASE + 00CAH

DMAPRI          EQU     PCB_IO_BASE + 00CCH
DMAHALT         EQU     PCB_IO_BASE + 00CEH

D1SRCL          EQU     PCB_IO_BASE + 00D0H
D1SRCH          EQU     PCB_IO_BASE + 00D2H
D1DSTL          EQU     PCB_IO_BASE + 00D4H
D1DSTH          EQU     PCB_IO_BASE + 00D6H
D1TC           EQU     PCB_IO_BASE + 00D8H
D1CON           EQU     PCB_IO_BASE + 00DAH

D2SRCL          EQU     PCB_IO_BASE + 00E0H
D2SRCH          EQU     PCB_IO_BASE + 00E2H
D2DSTL          EQU     PCB_IO_BASE + 00E4H
D2DSTH          EQU     PCB_IO_BASE + 00E6H
D2TC           EQU     PCB_IO_BASE + 00E8H
D2CON           EQU     PCB_IO_BASE + 00EAH

D3SRCL          EQU     PCB_IO_BASE + 00F0H
D3SRCH          EQU     PCB_IO_BASE + 00F2H
D3DSTL          EQU     PCB_IO_BASE + 00F4H
D3DSTH          EQU     PCB_IO_BASE + 00F6H
D3TC           EQU     PCB_IO_BASE + 00F8H
D3CON           EQU     PCB_IO_BASE + 00FAH


; $include(ecpcbmap.inc)
